﻿@*
    // Copyright (c) 1998-2019 freewill.us
    // Distributed under the MIT software license, see the accompanying
    // file COPYING or http://www.opensource.org/licenses/mit-license.php.
    // or IPFS hash QmbUetW94JtdSdVdATC4b9ASxCaiRn94AyNpFrc6twsLKy
*@

@model CommandLine.Example.WebUI.Models.CommandLineViewModel
@{
    ViewBag.Title = "Command Line";
}

<h2>@ViewBag.Title</h2>

<p>Try out the Command Line library here.  Type "Help" for a list of commands.</p>


@using (Html.BeginForm("CommandLine", "Home", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
{
    <div class="jumbotron">
        Type "Help" for a list of available commands.<br />
        @Html.LabelFor(m => m.ConsoleEntry)
        @Html.TextBoxFor(m => m.ConsoleEntry)
        <hr />

        @if (Model != null)
        {
            <tt style="white-space: pre;">@Model.Output</tt>
        }
    </div>
}

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

